=== tests/python/CMakeLists.txt ===
UNIT_TEST(PythonGraphStructureTest test_graph_structure)
UNIT_TEST(PythonGraphPropertiesTest test_graph_properties)
UNIT_TEST(PythonPluginParametersTest test_plugin_registration_and_parameters)
