=== library/tulip-python/include/CMakeLists.txt ===
INSTALL(FILES
  tulip/PythonInterpreter.h
  tulip/PythonInterpreter.cxx
  tulip/PythonCodeEditor.h
  tulip/PythonShellWidget.h
  tulip/APIDataBase.h
  tulip/AutoCompletionDataBase.h
  tulip/PythonEditorsTabWidget.h
  tulip/PythonCppTypesConverter.h
  tulip/PythonIDE.h
  tulip/PythonPanel.h
DESTINATION ${TulipIncludeInstallDir}/tulip/
COMPONENT tulip_python
)
