=== debian/changelog ===
tulip (6.0.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Do not mistake package version for API version

 -- Bastian Germann <bage@debian.org>  Fri, 29 Aug 2025 11:25:40 +0200

tulip (6.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Build with QtWebEngine instead of QtWebKit. (Closes: #1101128)
  * Build with sip6. (Closes: #1060728)

  [ James Turton ]
  * New upstream release:
    * the addition of a 'Dark' display mode (5.5)
    * the support of High DPI automatic scaling (5.5)
    * the ability to use slq LIKE patterns, in the Search dialog and
      Spreadsheet view configuration panel (5.5)
    * a new Second order centrality measure plugin (5.5)
    * the addition of Python 3.13 support (Closes: #1092993)
    * bugfixes for some OGDF layout algorithms (5.5.1)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Fix field name typo in debian/copyright (Comments => Comment).
  * Drop unnecessary dh arguments: --parallel
  * Add upstream metadata
  * Do not Build-Depend obsolete package: libfreetype6-dev => libfreetype-dev

 -- Bastian Germann <bage@debian.org>  Tue, 19 Aug 2025 00:39:13 +0200

tulip (5.4.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/remove_distutils.patch: Add patch to remove use of distutils
    in the package.
  * d/control: Remove python3-distutils package from Build Dependency
    (Closes: #1065989).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 15 Jul 2024 21:55:41 -0300
