=== debian/control ===
Source: tulip
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: James Turton <james@somecomputer.xyz>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               ca-certificates,
               cmake,
               ninja-build,
               doxygen,
               graphviz,
               libqhull-dev,
               libyajl-dev,
               libcppunit-dev,
               qtbase5-dev,
               libqt5opengl5-dev,
               qtwebengine5-dev,
               libzip-dev,
               libftgl-dev,
               libglew-dev,
               libpng-dev,
               libjpeg-dev,
               libfreetype-dev,
               libutfcpp-dev,
               python3,
               python3-sphinx,
               libpython3-dev,
               sip-tools,
               pkgconf,
               libgzstream-dev,
               libantlr-dev,
               docbook-to-man
Build-Conflicts: binutils-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/tulip
Vcs-Git: https://salsa.debian.org/science-team/tulip.git
Homepage: http://tulip.labri.fr/
Rules-Requires-Root: no

Package: tulip
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         fonts-dejavu-core,
         fonts-font-awesome,
         fonts-materialdesignicons-webfont,
         python3-sipbuild
Suggests: qtwayland5
Description: System dedicated to the visualization of huge data sets as graphs
 Tulip is an information visualization framework dedicated to the analysis and
 visualization of relational data.  It aims to provide the developer with a
 complete library, supporting the design of interactive information
 visualization applications for relational data that can be tailored to the
 problems he or she is addressing.
 .
 It includes the following features:
 .
  * 3D visualizations
  * 3D modifications
  * Plug-in support for easy evolution
  * Building of clusters and navigation into them
  * Automatic drawing of graphs
  * Automatic clustering of graphs
  * Automatic selection of elements
  * Automatic metric coloration of graphs

Package: libtulip-dev
Architecture: any
Section: libdevel
Depends: tulip (= ${binary:Version}),
         libc6-dev,
         ${misc:Depends}
Suggests: cmake
Enhances: qtcreator
Conflicts: libtulip-dev
Replaces: libtulip-ogl-dev,
          libtulip-qt4-dev
Description: Tulip graph library - core development files
 Headers and static libraries for tulip, a system dedicated to the
 visualization of huge graphs.  Also includes QtCreator templates.

Package: libtulip-core-6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tulip graph library - core runtime
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This is the core of the system, excluding the OpenGL rendering capabilities.

Package: libtulip-ogl-6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tulip graph library - OpenGL runtime
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This library contains the OpenGL rendering capabilities of the engine.

Package: libtulip-gui-6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tulip graph library - Qt/OpenGL GUI runtime
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This library contains the Qt/OpenGL GUI support.

Package: libtulip-python-6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libtulip-python
Provides: libtulip-python
Description: Tulip graph library - Python support
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This library contains the Python scripting support.

Package: libogdf-tulip-6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Open Graph Drawing Framework shared library, built for Tulip
 This is the Open Graph Drawing Framework library, built as a shared
 lib as required by Tulip.
